//---------------------------------------------------------------------------
#ifndef BlockName_QueryH
#define BlockName_QueryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "_GClass.hpp"
#include "AbLED.hpp"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TBlockNameQuery : public TForm
{
__published:	// IDE-managed Components
    TLabel *FlagLabel;
	TImage *Copyright;
	TButton *OKButton;
	TButton *CancelButton;
    TEdit *FlagNameEdit;
	TPanel *PositionPanel;
	TAbLED *AbLED1;
	TLabel *PosLeft;
	TLabel *PosRight;
	TLabel *Label1;
	TLabel *PosTop;
	TLabel *PosBottom;
    TCheckBox *DisplayFlagName;
	void __fastcall PosTopClick(TObject *Sender);
	void __fastcall PosRightClick(TObject *Sender);
	void __fastcall PosBottomClick(TObject *Sender);
	void __fastcall PosLeftClick(TObject *Sender);
	void __fastcall DisplayFlagNameClick(TObject *Sender);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TBlockNameQuery(TComponent* Owner);
    int Ordinal;
    void __fastcall SetOrdinal(int Ord);
};
//---------------------------------------------------------------------------
extern PACKAGE TBlockNameQuery *BlockNameQuery;
//---------------------------------------------------------------------------
#endif
